
import type {NextConfig} from 'next';
import { UPLOAD_LIMIT_MB } from '@/lib/config';

const nextConfig: NextConfig = {
  /* config options here */
  typescript: {
    ignoreBuildErrors: true,
  },
  eslint: {
    ignoreDuringBuilds: true,
  },
  images: {
    remotePatterns: [
      {
        protocol: 'https',
        hostname: 'placehold.co',
        port: '',
        pathname: '/**',
      },
    ],
  },
  experimental: {
    serverActions: {
      bodySizeLimit: `${UPLOAD_LIMIT_MB}mb`,
      allowedOrigins: [
        "https://weexnes.dev",
        "https://weexnes.dev:6837",
        "https://cdn.weexnes.dev"
      ],
    },
  },
};

export default nextConfig;
