import type { FileItem } from '@/types';
import FileListItem from './file-list-item';

interface FileListProps {
  files: FileItem[];
}

export default function FileList({ files }: FileListProps) {
  return (
    <div className="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4 gap-4 sm:gap-6">
      {files.map((file) => (
        <FileListItem key={file.id} file={file} />
      ))}
    </div>
  );
}
