
import { getFiles } from '@/lib/file-service';
import FileList from './components/file-list';
import { Button } from '@/components/ui/button';
import Link from 'next/link';
import { PlusCircle } from 'lucide-react';

export default async function BrowsePage() {
  const files = await getFiles();

  return (
    <div className="space-y-8">
      <div className="flex flex-col sm:flex-row justify-between items-center gap-4">
        <h1 className="text-3xl sm:text-4xl font-bold tracking-tight text-foreground font-headline">
          VividCDN - Your Files
        </h1>
        <Button asChild size="lg">
          <Link href="/upload">
            <PlusCircle className="mr-2 h-5 w-5" />
            Upload New File
          </Link>
        </Button>
      </div>
      
      {files.length === 0 ? (
        <div className="text-center py-12">
          <p className="text-xl text-muted-foreground mb-4">No files uploaded yet.</p>
          <Button asChild>
            <Link href="/upload">Get Started by Uploading a File</Link>
          </Button>
        </div>
      ) : (
        <FileList files={files} />
      )}
    </div>
  );
}
