import LoginForm from './components/login-form';
import { Card, CardContent, CardDescription, CardHeader, CardTitle } from "@/components/ui/card";
import { AppLogo } from '@/components/core/AppLogo';
import Link from "next/link";

export default function LoginPage() {
    return (
        <div className="flex min-h-[calc(100vh-10rem)] flex-col items-center justify-center">
            <Card className="w-full max-w-md shadow-2xl">
                <CardHeader className="text-center">
                    <div className="mx-auto mb-6 w-fit">
                        <Link href="" className="hover:underline" target="_blank">
                            Privacy Policy
                        </Link>
                        <span className="mx-2">·</span>
                        <Link href="" className="hover:underline" target="_blank">
                            Legal
                        </Link>
                    </div>
                    <CardTitle className="text-3xl font-bold tracking-tight font-headline">Welcome Back</CardTitle>
                    <CardDescription>Sign in to access your VividCDN account.</CardDescription>
                </CardHeader>
                <CardContent>
                    <LoginForm />
                </CardContent>
            </Card>
        </div>
    );
}




