import { redirect } from 'next/navigation';
import { isAuthenticated } from '@/lib/auth';

export default async function HomePage() {
  const authenticated = await isAuthenticated();

  if (authenticated) {
    redirect('/browse');
  } else {
    redirect('/login');
  }

  // This part will not be reached due to redirects, but Next.js requires a return.
  return null; 
}
