import type { SVGProps } from 'react';

export function AppLogo(props: SVGProps<SVGSVGElement>) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 200 50"
      width="120"
      height="30"
      aria-label="VividCDN Logo"
      {...props}
    >
      <defs>
        <linearGradient id="grad1" x1="0%" y1="0%" x2="100%" y2="0%">
          <stop offset="0%" style={{ stopColor: 'hsl(var(--primary))', stopOpacity: 1 }} />
          <stop offset="100%" style={{ stopColor: 'hsl(var(--accent))', stopOpacity: 1 }} />
        </linearGradient>
      </defs>
      <rect width="40" height="40" rx="8" fill="url(#grad1)" transform="translate(5,5)"/>
      <path d="M15 15 H 35 V 35 H 15 Z M 18 18 V 32 H 32 V 18 Z" fill="hsl(var(--background))" transform="translate(5,5)"/>
       <path d="M22 22 H 28 V 28 H 22 Z" fill="hsl(var(--primary))" transform="translate(5,5)" />
      <text
        x="55"
        y="32"
        fontFamily="Inter, sans-serif"
        fontSize="28"
        fontWeight="bold"
        fill="hsl(var(--foreground))"
        className="font-headline"
      >
        VividCDN
      </text>
    </svg>
  );
}
