import { cookies } from 'next/headers';
import { AUTH_COOKIE_NAME } from './constants';

export async function getSession() {
  const cookieStore = cookies();
  const sessionCookie = cookieStore.get(AUTH_COOKIE_NAME);
  if (sessionCookie?.value === 'true') {
    return { isAuthenticated: true };
  }
  return { isAuthenticated: false };
}

export async function isAuthenticated() {
  const session = await getSession();
  return session.isAuthenticated;
}
